Bug 268670 - [PATCH] Bluedevil crashes when logging in with bluetooth controller disabled
Summary: [PATCH] Bluedevil crashes when logging in with bluetooth controller disabled
Status: RESOLVED FIXED
Alias: None
Product: solid
Classification: Frameworks and Libraries
Component: bluetooth (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Alex Fiestas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-16 18:44 UTC by Lamarque V. Souza
Modified: 2011-03-18 01:57 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Crashlog of bluedevil crashing at login with bluetooth controller disabled (5.75 KB, patch)
2011-03-16 18:44 UTC, Lamarque V. Souza
Details
fix to the crash problem. (850 bytes, patch)
2011-03-16 18:45 UTC, Lamarque V. Souza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lamarque V. Souza 2011-03-16 18:44:04 UTC
Created attachment 58102 [details]
Crashlog of bluedevil crashing at login with bluetooth controller disabled

Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

My notebook starts with bluetooth controller disables, if I login in that situation Bluedevil crashes (I will attach the crash log). If I enable the bluetoth controller before loging in it works as expected.

Reproducible: Always

Steps to Reproduce:
1. Log out KDE session
2. Disable bluetooth controller
3. Log in KDE session

Actual Results:  
Bluedevil crashes at login

Expected Results:  
Bludevil does not crashes at login
Comment 1 Lamarque V. Souza 2011-03-16 18:45:50 UTC
Created attachment 58103 [details]
fix to the crash problem.

It seems the DBus reply can be invalid when bluez is not running, which is the case when the bluetooth controller is disabled.
Comment 2 Lamarque V. Souza 2011-03-18 01:57:34 UTC
Git commit 1307ca7081d995a31fd8f86aa6560fbab770a5d2 by Lamarque V. Souza.
Committed on 18/03/2011 at 01:55.
Pushed by lvsouza into branch 'master'.

Fix Bluedevil crashes when logging in with bluetooth controller disabled

BUG: 268670

M  +8    -2    bluedevil/bluedevilmanager.cpp     

http://commits.kde.org/libbluedevil/1307ca7081d995a31fd8f86aa6560fbab770a5d2